/*
Theme Name: Mediamind
Template: Divi
Description: Divi Child Theme
Author: Mediamind
*/

/* Divi Modifiers Naming
.section-
.row-
.column-
.module-
*/

/*
VARIABLES
*/

/* :root {
  --color-primary: #;
  --color-secondary: #;
} */


/*
SITE BASICS
*/

body {
  background: #f3f3ef;
  color: #000000;
}

h1,
h2,
h3,
h4 {
  font-weight: 700;
}


a {
  color: #155e63;
}

p a {
  text-decoration: underline;
}

p a:hover {
  text-decoration: none;
}


/*
LAYOUT
*/

.et_pb_section {
  background-color: unset;
}

.et_pb_row.row-equal-height {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  -webkit-box-align: stretch;
      -ms-flex-align: stretch;
          align-items: stretch;
}

.et_pb_column.column-text {
  padding: 30px;
  background: #ffffff;
}

.et_pb_text_inner ul {
  margin: 0 0 1em 0;
}

/*
Site Header
*/

.et_pb_section.site-header--top {
  padding: 10px 0 !important;
  background: #f3f3ef;
} 

.et_pb_section.site-header--top .et_pb_row {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  padding: 0;
}

.et_pb_section.site-header--top .et_pb_row .et_pb_column.site-header-top-left {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  gap: 10px;
}

.et_pb_section.site-header--top .et_pb_row .et_pb_column.site-header-top-right {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: end;
      -ms-flex-pack: end;
          justify-content: flex-end;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  gap: 20px;
}

.et_pb_section.site-header--top .et_pb_row .et_pb_column.site-header-top-right .et_pb_blurb {
  margin-bottom: 0 !important;
  line-height: 1;
}

.et_pb_section.site-header--top .et_pb_row .et_pb_column.site-header-top-right .et_pb_blurb .et_pb_main_blurb_image {
  margin-bottom: 10px !important;
}

.et_pb_section.site-header--top .et_pb_row .et_pb_column.site-header-top-right .et_pb_image,
.et_pb_section.site-header--top .et_pb_row .et_pb_column.site-header-top-right .et_pb_button_module_wrapper {
  margin-bottom: 0;
  margin-right: 0;
}

.et_pb_section.site-header--top .et_pb_row .et_pb_column.site-header-top-right .et_pb_image img {
  max-height: 80px;
  width: auto;
}

.et_pb_section.site-header--top .et_pb_blurb h4 {
  padding-bottom: 0;
}

.et_pb_section.site-header--top .et_pb_row .et_pb_column.site-header-top-right .et_pb_blurb {
  cursor: pointer;
}

.et_pb_section.site-header--menu .et_pb_menu .nav li li {
}

.et_pb_section.site-header--menu .et-menu li li a {
  padding: 6px;
  font-size: 14px;
}

/*
Site Footer
*/

.et_pb_section.site-footer {
  padding-top: 0;
}

.et_pb_row.footer-title {
  padding-bottom: 0;
}

.et_pb_row.footer-logos .et_pb_column {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  gap: 50px;
}

.et_pb_row.footer-logos .et_pb_column .et_pb_image {
  margin: 0;
  padding: 0;
}

.et_pb_row.footer-title .et_pb_text{
  padding-top: 1em;
  border-top: 1px solid #000000;
} 


.et_pb_row.row-footer-bottom {
  padding-bottom: 0;
  border-top: 1px solid #000000;
}

/*
Home
*/

.et_pb_row.row-puffar .et_pb_column {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: justify;
      -ms-flex-pack: justify;
          justify-content: space-between;
  -webkit-box-align: stretch;
      -ms-flex-align: stretch;
          align-items: stretch;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  gap: 10px;
}

.et_pb_row.row-puffar .et_pb_column .et_pb_text {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -ms-flex-preferred-size: calc(100% / 3 - 10px);
      flex-basis: calc(100% / 3 - 10px);
  height: 260px;
  margin-bottom: 0 !important;
}

.et_pb_row.row-puffar .et_pb_column .et_pb_text:before {
  position: absolute;
  top: 0px;
  right: 0px;
  bottom: 0px;
  left: 0px;
  content: "";
  -webkit-transition: background-color 0.2s ease-in-out;
  transition: background-color 0.2s ease-in-out;
}

.et_pb_row.row-puffar .et_pb_column .et_pb_text .et_pb_text_inner {
  padding: 0 10%;
}

.et_pb_row.row-puffar .et_pb_column .et_pb_text .et_pb_text_inner p {
  font-family: 'Crimson Text', serif;
  font-size: 30px;
  font-weight: 500;
  line-height: 1.3;
  text-shadow: 0px 0px 5px #000000;
  color: #ffffff;

}

.et_pb_row.row-puffar .et_pb_column .et_pb_text:hover:before {
  background-color: rgba(0, 0, 0, 0.2);
}


/*
PAGES
*/

body.home .entry-content .et_pb_section_0 {
  padding-top: 0;
}

.et_pb_section.hero-mobile {
  display: none !important;
}

.et_pb_row.row-main .et_pb_text:not(.et_pb_text_0) {
  margin-top: 30px;
}

.et_pb_row.row-main .et_pb_text ul {
  padding-bottom: 0;
}

.et_pb_menu.menu-subpages {

}

.et_pb_menu.menu-subpages .et_pb_menu__menu > nav > ul {
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-flow: column;
          flex-flow: column;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
}


.et_pb_menu.menu-subpages .et_pb_menu__menu ul li {
  font-size: 16px;
}

.et_pb_menu.menu-subpages .et_pb_menu__menu ul li:before {
  content: "\00BB";
  margin-right: 6px;

}

.et_pb_menu.menu-subpages .et_pb_menu__menu li a {
  text-decoration: underline;
}

.et_pb_section.section-main {

}

.et_pb_section.section-main .et_pb_row.row-main {
  background: #ffffff;
}

.et_pb_row.row-main .et_pb_column.col-main {
  padding: 25px;
}

.et_pb_row.row-main .et_pb_column.col-sidebar {
  background: #f9f9f9;
}

.et_pb_row.row-main .et_pb_column.col-sidebar .et_pb_heading,
.et_pb_row.row-main .et_pb_column.col-sidebar .et_pb_menu {
  padding: 0 25px;
}

.et_pb_row.row-main .et_pb_column.col-sidebar .et_pb_heading {
  margin-bottom: 0;
  padding-top: 25px;
}

.et_pb_row.row-main .et_pb_column.col-sidebar .et_pb_menu {
  padding-bottom: 25px
}

.et_pb_row.row-main .et_pb_column.col-sidebar .et_pb_menu li.current-menu-item a {
  text-decoration: none;
  font-weight: bold;
}

.et_pb_row.row-office {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}

.et_pb_row.row-office .et_pb_text {
  margin: 0 !important;
}

.et_pb_row.row-personal .et_pb_column {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  -webkit-box-align: stretch;
      -ms-flex-align: stretch;
          align-items: stretch;
  gap: 25px;
}

.et_pb_row.row-personal .et_pb_column .et_pb_blurb .et_pb_main_blurb_image img {
  max-width: 300px;
}

/*
OFF CANVAS MENU
*/

.et_pb_section.menu-offcanvas-container {
    display: none;
    position: fixed !important;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    z-index: 9999999;
    overflow-x: hidden;
    overflow-y: scroll;
    padding-top: 10px !important;
    -webkit-transition: 0.2s;
    transition: 0.2s;
    background: #fff;
}

.et_pb_section.menu-offcanvas-container .et_pb_row {
  width: 90%;
  padding: 0 !important;
}

.et_pb_section.menu-offcanvas-container .et_pb_text.btn-close {
  text-align: center;
  cursor: pointer;
}

.menu-offcanvas li a {
  font-size: 20px;
  font-weight: 500;
}

.menu-offcanvas .et_mobile_menu li a {
  padding: 10px;
}

.menu-offcanvas .et_pb_menu__menu,
.menu-offcanvas .mobile_menu_bar:before {
  display: none !important;
}

.menu-offcanvas .et_mobile_nav_menu {
  display: block !important;
  width: 100%;
}

.menu-offcanvas .et_mobile_menu {
  display: block !important;
  position: relative !important;
  border-top: none !important;
}

.menu-offcanvas li {
  list-style: none;
}

.menu-offcanvas .et_mobile_menu {
  box-shadow: none !important;
  -webkit-box-shadow: none !important;
  padding: 0 !important; 
}

.menu-offcanvas::-webkit-scrollbar-track {
  background: #ffffff;
}

.menu-offcanvas .et_mobile_menu .menu-item-has-children > a {
  font-weight: 500 !important;
}

.menu-offcanvas nav li.et-touch-hover > ul,
.menu-offcanvas .nav li:hover > ul {
  opacity: 0;
  visibility: hidden;
}

.menu-offcanvas ul.sub-menu.hide.visible {
  opacity: 1;
  visibility: visible;
}

.et_pb_section.menu-offcanvas-container .et_pb_text.modal-text .et_pb_text_inner {
  text-align: center;
}

.et_pb_section.menu-offcanvas-container .et_pb_image img {
  max-height: 80px;
  width: auto;
}


/* ======
Proper Collapsable Mobile Menu
====== */ 

/* Style the icon's placeholder */
ul.et_mobile_menu li.menu-item-has-children .mobile-toggle,
ul.et_mobile_menu li.page_item_has_children .mobile-toggle/*,
.et-db #et-boc .et-l ul.et_mobile_menu li.menu-item-has-children .mobile-toggle,
.et-db #et-boc .et-l ul.et_mobile_menu li.page_item_has_children .mobile-toggle*/ {
  width: 44px;
  height: 100%;
  padding: 0px !important;
  max-height: 44px;
  position: absolute;
  right: 0px;
  top: 0px;
  z-index: 999;
  background-color: transparent;
  border-bottom: 0;
  text-align: center;
}

ul.et_mobile_menu > li.menu-item-has-children,
ul.et_mobile_menu > li.page_item_has_children/*,
ul.et_mobile_menu > li.menu-item-has-children .sub-menu li.menu-item-has-children,
.et-db #et-boc .et-l ul.et_mobile_menu > li.menu-item-has-children,
.et-db #et-boc .et-l ul.et_mobile_menu > li.page_item_has_children,
.et-db #et-boc .et-l ul.et_mobile_menu > li.menu-item-has-children .sub-menu li.menu-item-has-children*/ {
  position: relative;
}

.et_mobile_menu .menu-item-has-children > a/*,
.et-db #et-boc .et-l .et_mobile_menu .menu-item-has-children > a*/ {
  background-color: transparent;
}

/* Hide the Sub-menu */
ul.et_mobile_menu .menu-item-has-children .sub-menu/*,
#main-header ul.et_mobile_menu .menu-item-has-children .sub-menu,
.et-db #et-boc .et-l ul.et_mobile_menu .menu-item-has-children .sub-menu,
.et-db #main-header ul.et_mobile_menu .menu-item-has-children .sub-menu*/ {
  display: none !important;
  visibility: hidden !important;
}
 
/* Show the sub-menu when the + icon is clicked */
ul.et_mobile_menu .menu-item-has-children .sub-menu.visible/*,
#main-header ul.et_mobile_menu .menu-item-has-children .sub-menu.visible,
.et-db #et-boc .et-l ul.et_mobile_menu .menu-item-has-children .sub-menu.visible,
.et-db #main-header ul.et_mobile_menu .menu-item-has-children .sub-menu.visible*/ {
  display: block !important;
  visibility: visible !important;
}

/* Create the opening/closing icon using the Divi's Icons */
ul.et_mobile_menu li.menu-item-has-children .mobile-toggle::after/*,
.et-db #et-boc .et-l ul.et_mobile_menu li.menu-item-has-children .mobile-toggle::after*/ {
  top: 10px;
  position: relative;
  font-family: "ETModules";
}

/* Set the opening icon for custom Tax Pages */
/*body.single-product:not(.et-tb-has-template) ul.et_mobile_menu li.menu-item-has-children .mobile-toggle::after,
body.tax-product_cat ul.et_mobile_menu li.menu-item-has-children .mobile-toggle::after,
body.tax-project_category ul.et_mobile_menu li.menu-item-has-children .mobile-toggle::after,
body.single-product.et-db:not(.et-tb-has-template) #et-boc .et-l ul.et_mobile_menu li.menu-item-has-children .mobile-toggle::after,
body.tax-product_cat.et-db #et-boc .et-l ul.et_mobile_menu li.menu-item-has-children .mobile-toggle::after,
body.tax-project_category.et-db #et-boc .et-l ul.et_mobile_menu li.menu-item-has-children .mobile-toggle::after {
  content: "+";
}*/

/* Set the opening icon for default WordPress Pages */
ul.et_mobile_menu li.menu-item-has-children .mobile-toggle::after/*,
.et-db #et-boc .et-l ul.et_mobile_menu li.menu-item-has-children .mobile-toggle::after*/ {
  content: "\33";
}

/* Set the closing icon */
ul.et_mobile_menu li.menu-item-has-children.dt-open > .mobile-toggle::after/*,
.et-db #et-boc .et-l ul.et_mobile_menu li.menu-item-has-children.dt-open > .mobile-toggle::after,
body.single-product:not(.et-tb-has-template) ul.et_mobile_menu li.menu-item-has-children.dt-open > .mobile-toggle::after,
body.single-product.et-db:not(.et-tb-has-template) #et-boc .et-l ul.et_mobile_menu li.menu-item-has-children.dt-open > .mobile-toggle::after,
body.tax-product_cat ul.et_mobile_menu li.menu-item-has-children.dt-open > .mobile-toggle::after,
body.tax-product_cat.et-db #et-boc .et-l ul.et_mobile_menu li.menu-item-has-children.dt-open > .mobile-toggle::after,
body.tax-project_category ul.et_mobile_menu li.menu-item-has-children.dt-open > .mobile-toggle::after,
body.tax-project_category.et-db #et-boc .et-l ul.et_mobile_menu li.menu-item-has-children.dt-open > .mobile-toggle::after*/ {
  content: '\32';
}

/*
MODAL
*/

.et_pb_section.modal-container {
  display: none;
  position: fixed;
  z-index: 999999;
  left: 0;
  top: 0;
  width: 100%; 
  height: 100%;
  overflow: auto;
  background: rgba(0,0,0,0.3);
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
}

.et_pb_section.modal-container.is-open {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}

.et_pb_section.modal-container .et_pb_row {
  width: 50%;
  padding: 10px;
  background: #ffffff;
  border-radius: 10px;
}

.et_pb_section.modal-container .et_pb_row .et_pb_column {
  padding: 50px;
}

.et_pb_section.modal-container .et_pb_row .et_pb_text.modal-close {
  position: absolute;
  top: 15px;
  right: 15px;
  text-align: right;
  cursor: pointer;
}

.et_pb_section.modal-container .et_pb_row .et_pb_text.modal-text {
  text-align: center;
}



/*
MEDIA QUERIES
*/ 

/* Desktop Only */
@media screen and (min-width: 981px) {
  .et_pb_section.section-main .et_pb_row.row-main {
    padding-top: 0;
    padding-bottom: 0;
    background: #ffffff;
  }
}

/* Tablet & below */
@media screen and (max-width: 980px) {

  .et_pb_section.site-header--top .et_pb_row,
  #main-content .et_pb_row,
  .et_pb_section.site-footer .et_pb_row {
    width: 92%;
  }

  .et_pb_section.site-header--top .et_pb_row .et_pb_column_3_5 {
    margin-bottom: 0 !important;
  }

  .et_pb_section.site-header--top .et_pb_row .et_pb_column.site-header-top-right {
    -ms-flex-preferred-size: 40%;
        flex-basis: 40%;
  }

  .et_pb_section.site-header--top .et_pb_row .site-header-top-right .et_pb_icon {
    margin: 0 !important;
  }

  .et_pb_section.section-main {
    padding-top: 0;
  }

  .et_pb_row.row-puffar {
    padding: 0;
  }

  .et_pb_row.row-equal-height {
    -webkit-box-orient: vertical;
    -webkit-box-direction: reverse;
        -ms-flex-flow: column-reverse;
            flex-flow: column-reverse;
  }

  .et_pb_row.row-main {
    width: 100%;
    padding: 25px 5%;
  }

  .et_pb_row.row-main .et_pb_column.col-sidebar .et_pb_image {
    margin-bottom: 30px !important;
  }

  .et_pb_row.row-main .et_pb_column.col-main {
    padding: 0;
  }

  .et_pb_row.row-main .et_pb_column.col-sidebar {
    background: #ffffff;
  }

  /* Keep Desktop Menu on Mobile for subpage menus */
  .et_pb_menu.menu-subpages .et_pb_menu__menu  {
    display: -webkit-box !important;
    display: -ms-flexbox !important;
    display: flex !important;
  }

  .et_pb_menu.menu-subpages .et_mobile_nav_menu {
    display: none !important;
  }

  /* Subpage Menu alignment */
  .et_pb_menu.menu-subpages .et_pb_menu__wrap {
    -webkit-box-pack: start !important;
        -ms-flex-pack: start !important;
            justify-content: flex-start !important;
  }

  .et_pb_row.row-main .et_pb_column.col-sidebar .et_pb_heading, 
  .et_pb_row.row-main .et_pb_column.col-sidebar .et_pb_menu {
    padding: 0;
  }

  .et_pb_row.row-main .et_pb_column.col-sidebar .et_pb_menu {
    padding-bottom: 25px;
  }


}

/* Tablet Up */
@media screen and (min-width: 768px) {
  .et_pb_row.hero-home {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
    -webkit-box-align: stretch;
        -ms-flex-align: stretch;
            align-items: stretch
  }
}



/* Only tablet */
@media screen and (min-width: 768px) and (max-width: 1024px) {
  .et_pb_row.hero-home {
    padding-top: 0;
  }

  .et_pb_row.hero-home .et_pb_column.hero-bg {
    display: block;
    background-position: 80% center;
  }

  .et_pb_row.footer-cols {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
  }
}

/* Smartphone */ 
@media screen and (max-width: 767px) {  

  h1 {
    font-size: 30px !important;
  }

  h2 {
    font-size: 24px !important;
  }

  h3 {
    font-size: 20px !important;
  }

  .et_pb_section.modal-container .et_pb_row {
    width: 70%;
  }

  .et_pb_module.et_pb_heading {
    margin-bottom: 10px !important;
  } 

  .et_pb_row.hero-home {
    padding-top: 0;
    width: 100% !important
    /* display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: reverse;
        -ms-flex-flow: column-reverse;
            flex-flow: column-reverse;
    padding-top: 0;*/
  }

  .et_pb_row.hero-home .et_pb_column.column-text {
    padding: 25px 5%;
  }

  body.has-featured-image .et_pb_section.hero-mobile {
    display: block !important;
    height: 30vh;
    max-height: 400px;
  }
  body.home.has-featured-image .et_pb_section.hero-mobile {
    background-position: center 25%;
  }

  body.has-featured-image .et_pb_section.section-main .et_pb_column.col-sidebar .et_pb_image {
    display: none;
  }

  .et_pb_row.row-main {
    width: 100% !important;
  }

  /*
  .et_pb_row.hero-home .et_pb_column.hero-bg {
    height: 40vh;
    overflow: hidden;
  }

  .et_pb_row.hero-home .et_pb_column.hero-bg .et_pb_image img {
    -o-object-fit: cover;
       object-fit: cover;
     -o-object-position: center center;
        object-position: center center;
  } */

  .et_pb_row.row-puffar .et_pb_column .et_pb_text {
    height: 200px;
  }

  .et_pb_row.row-puffar .et_pb_column .et_pb_text .et_pb_text_inner p {
    font-size: 24px;
  }

  .et_pb_row.row-equal-height {
    width: 100% !important;
  }

  .et_pb_row.footer-logos .et_pb_column {
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
    gap: 15px;
  }

  .et_pb_row.footer-logos {
    padding: 0 !important;
  }

  .et_pb_row.row-office {
    gap: 25px;
  }

  .et_pb_row.row-personal .et_pb_column .et_pb_blurb .et_pb_main_blurb_image img {
    max-width: 220px;
  }
}


/* 640 and below */
@media screen and (max-width: 640px) {
  /*.et_pb_section.site-header--top .et_pb_row .et_pb_column.site-header-top-right {
    -ms-flex-preferred-size: 15%;
        flex-basis: 15%;
  } */

  .et_pb_section.site-header--top .et_pb_row .et_pb_column.site-header-top-right .et_pb_blurb .et_pb_main_blurb_image .et_pb_image_wrap .et-pb-icon {
    font-size: 18px !important;
  }

  .et_pb_section.site-header--top .et_pb_row .et_pb_column.site-header-top-right .et_pb_blurb .et_pb_blurb_container p {
    font-size: 12px;
  }

  .et_pb_row.row-main {
    padding: 25px 5%;
  }

  .et_pb_section.modal-container .et_pb_row {
    width: 90%;
  }

  .et_pb_section.modal-container .et_pb_row .et_pb_column {
    padding: 50px 25px;
  }

  .et_pb_row.row-puffar .et_pb_column .et_pb_text {
    -ms-flex-preferred-size: calc(100% / 2 - 5px);
        flex-basis: calc(100% / 2 - 5px);
  }

  .et_pb_row.row-office,
  .et_pb_row.row-personal .et_pb_column {
    -ms-flex-wrap: wrap;
        flex-wrap: wrap;
  }
} 

@media screen and (max-width: 480px) {
  .et_pb_section.site-header--top .et_pb_row .et_pb_column.site-header-top-right {
    -ms-flex-preferred-size: 60%;
        flex-basis: 60%;
  }

   .et_pb_row.row-puffar .et_pb_column .et_pb_text {
    height: 160px;
   }

   .et_pb_row.row-puffar .et_pb_column .et_pb_text .et_pb_text_inner p {
    font-size: 20px;
    padding: 0 2%;
   }

   .et_pb_row.footer-logos .et_pb_column {
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-flow: column;
            flex-flow: column;
    gap: 25px;
    padding-top: 25px;
   }
}
